## yacpi 1.2.1

=== Makefile ===
# ----------------------------------------------
#  YACPI Makefile by Nico Golde <nico@ngolde.de>
#  Latest change: Mi Mr 30 21:34:14 CEST 2005
#  ---------------------------------------------

BIN=yacpi
prefix=/usr/local
INSPATH= $(prefix)/bin/
CFLAFS = -O2 -c -Wall
CC = gcc
DOCPATH= $(prefix)/share/doc/yacpi
MANPATH= $(prefix)/share/man/man1
all :
	$(CC) $(CFLAGS) -c libacpi.c -o libacpi.o
	$(CC) $(CFLAGS) -c yacpi.c -o yacpi.o
	$(CC) $(CFLAGS) -c get_cpu.c -o get_cpu.o
	$(CC) -Wall libacpi.o get_cpu.o yacpi.o -o yacpi -lncurses
	strip yacpi

install :
	mkdir -p $(DOCPATH)
	install -m644 CHANGELOG README THANKS COPYING $(DOCPATH)
	install -m644 yacpi.1 $(MANPATH)
	install yacpi $(INSPATH)$(BIN)

uninstall :
	rm -f $(INSPATH)$(BIN)
	rm -rf $(DOCPATH)
	rm -f $(MANPATH)/yacpi.1

clean: 
	rm -f yacpi
	rm -f *.o

love:
	echo "not war!"

## yacpi 2.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # ----------------------------------------------
 #  YACPI Makefile by Nico Golde <nico@ngolde.de>
-#  Latest change: Mi Mr 30 21:34:14 CEST 2005
+#  Latest change: So Aug 14 16:55:05 CEST 2005
 #  ---------------------------------------------
 
 BIN=yacpi
 prefix=/usr/local
 INSPATH= $(prefix)/bin/
-CFLAFS = -O2 -c -Wall
+CFLAGS = -O2 -c -Wall -g
 CC = gcc
 DOCPATH= $(prefix)/share/doc/yacpi
 MANPATH= $(prefix)/share/man/man1
@@ -15,10 +15,12 @@
 	$(CC) $(CFLAGS) -c yacpi.c -o yacpi.o
 	$(CC) $(CFLAGS) -c get_cpu.c -o get_cpu.o
 	$(CC) -Wall libacpi.o get_cpu.o yacpi.o -o yacpi -lncurses
-	strip yacpi
+	strip $(BIN)
 
 install :
 	mkdir -p $(DOCPATH)
+	mkdir -p $(INSPATH)
+	mkdir -p $(MANPATH)
 	install -m644 CHANGELOG README THANKS COPYING $(DOCPATH)
 	install -m644 yacpi.1 $(MANPATH)
 	install yacpi $(INSPATH)$(BIN)

## yacpi 2.0.1

=== Makefile ===
# ----------------------------------------------
#  YACPI Makefile by Nico Golde <nico@ngolde.de>
#  Latest change: So Mr 05 14:13:18 CET 2006
#  ---------------------------------------------

BIN     = yacpi
prefix  = /usr/local
INSPATH = ${prefix}/bin/
CFLAGS  = -O2 -Wall -g -DVERSION=\"${VERSION}\"
CC      = cc
DOCPATH = ${prefix}/share/doc/yacpi
MANPATH = ${prefix}/share/man/man1
VERSION = 2.0.1
SRC_yacpi       = yacpi.c
SRC_libacpi     = libacpi.c
SRC_get_cpu     = get_cpu.c
OBJ_yacpi       = ${SRC_yacpi:.c=.o}
OBJ_libacpi     = ${SRC_libacpi:.c=.o}
OBJ_get_cpu     = ${SRC_get_cpu:.c=.o}

.c.o :
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

all : options ${OBJ_yacpi} ${OBJ_libacpi} ${OBJ_get_cpu}
	@${CC} -Wall libacpi.o get_cpu.o yacpi.o -o ${BIN} -lncurses
	@strip ${BIN}
	@echo built yacpi

dist : clean
	@mkdir -p yacpi-${VERSION}
	@cp -R Makefile CHANGELOG README THANKS TODO COPYING *.c *.h yacpi.1 yacpi-${VERSION}
	@tar -cf yacpi-${VERSION}.tar yacpi-${VERSION}
	@gzip yacpi-${VERSION}.tar
	@rm -rf yacpi-${VERSION}
	@echo created distribution yacpi-${VERSION}.tar.gz

options : 
	@echo yacpi build options:
	@echo "CFLAGS = ${CFLAGS}"
	@echo "CC     = ${CC}"
	@echo "BIN    = ${BIN}"

install :
	@mkdir -p ${DOCPATH}
	@mkdir -p ${INSPATH}
	@mkdir -p ${MANPATH}
	install -m644 CHANGELOG README THANKS COPYING ${DOCPATH}
	install -m644 yacpi.1 ${MANPATH}
	install ${BIN} ${INSPATH}

uninstall :
	rm -f ${INSPATH}${BIN}
	rm -rf ${DOCPATH}
	rm -f ${MANPATH}/yacpi.1

clean :
	rm -f ${BIN}
	rm -f *.o

love :
	@echo "not war!"

## yacpi 2.0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------
 #  YACPI Makefile by Nico Golde <nico@ngolde.de>
-#  Latest change: So Mr 05 14:13:18 CET 2006
+#  Latest change: Mi Aug 30 14:08:37 CEST 2006
 #  ---------------------------------------------
 
 BIN     = yacpi
@@ -10,7 +10,7 @@
 CC      = cc
 DOCPATH = ${prefix}/share/doc/yacpi
 MANPATH = ${prefix}/share/man/man1
-VERSION = 2.0.1
+VERSION = 2.0.1.1
 SRC_yacpi       = yacpi.c
 SRC_libacpi     = libacpi.c
 SRC_get_cpu     = get_cpu.c

## yacpi 2.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CC      = cc
 DOCPATH = ${prefix}/share/doc/yacpi
 MANPATH = ${prefix}/share/man/man1
-VERSION = 2.0.1.1
+VERSION = 2.1
 SRC_yacpi       = yacpi.c
 SRC_libacpi     = libacpi.c
 SRC_get_cpu     = get_cpu.c

## yacpi 3.0

=== Makefile ===
--- 
+++ 
@@ -10,26 +10,24 @@
 CC      = cc
 DOCPATH = ${prefix}/share/doc/yacpi
 MANPATH = ${prefix}/share/man/man1
-VERSION = 2.1
+VERSION = 3.0
 SRC_yacpi       = yacpi.c
-SRC_libacpi     = libacpi.c
 SRC_get_cpu     = get_cpu.c
 OBJ_yacpi       = ${SRC_yacpi:.c=.o}
-OBJ_libacpi     = ${SRC_libacpi:.c=.o}
 OBJ_get_cpu     = ${SRC_get_cpu:.c=.o}
 
 .c.o :
 	@echo CC $<
 	@${CC} -c ${CFLAGS} $<
 
-all : options ${OBJ_yacpi} ${OBJ_libacpi} ${OBJ_get_cpu}
-	@${CC} -Wall libacpi.o get_cpu.o yacpi.o -o ${BIN} -lncurses
+all : options ${OBJ_yacpi} ${OBJ_get_cpu}
+	@${CC} -Wall get_cpu.o yacpi.o -o ${BIN} -lncurses -lacpi
 	@strip ${BIN}
 	@echo built yacpi
 
 dist : clean
 	@mkdir -p yacpi-${VERSION}
-	@cp -R Makefile CHANGELOG README THANKS TODO COPYING *.c *.h yacpi.1 yacpi-${VERSION}
+	@cp -R Makefile CHANGELOG README THANKS COPYING *.c *.h yacpi.1 yacpi-${VERSION}
 	@tar -cf yacpi-${VERSION}.tar yacpi-${VERSION}
 	@gzip yacpi-${VERSION}.tar
 	@rm -rf yacpi-${VERSION}
@@ -52,7 +50,7 @@
 uninstall :
 	rm -f ${INSPATH}${BIN}
 	rm -rf ${DOCPATH}
-	rm -f ${MANPATH}/yacpi.1
+	rm -f ${MANPATH}/yacpi.1*
 
 clean :
 	rm -f ${BIN}

## yacpi 3.0.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CC      = cc
 DOCPATH = ${prefix}/share/doc/yacpi
 MANPATH = ${prefix}/share/man/man1
-VERSION = 3.0
+VERSION = 3.0.1
 SRC_yacpi       = yacpi.c
 SRC_get_cpu     = get_cpu.c
 OBJ_yacpi       = ${SRC_yacpi:.c=.o}

=== debian/changelog ===
yacpi (3.0.1-2) unstable; urgency=medium

  * New maintainer (Closes: #842556)
  * Bumped Standards-Version to 4.5.0
  * Added rules-requires-root to control
  * Changed debhelper to 12
  * Changed NEWS from bulleted list to regular paragraphs
  * Enabled hardening flags when building

 -- Seunghun Han <kkamagui@gmail.com>  Tue, 07 Apr 2020 18:32:03 +0900

yacpi (3.0.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #669597)
  * Bumped debhelper to 10
  * Added watch file
  * Modernise debian/rules
  * Converted to 3.0 (quilt) (Closes: #669596)
  * Fix typo in long package description (Closes: #639945)
  * Updated debian/copyright to DEP-5
  * Standards version 3.9.8

 -- David William Richmond Jones <dwrj87@gmail.com>  Fri, 04 Nov 2016 00:58:11 +0000

yacpi (3.0-2) unstable; urgency=low

  * Added 02_fixacstate to add missing call to read_acpi_acstate
    which causes yacpi to not recognize a change of the ac
    state (Closes: #448305).
  * Switched from Homepage tag to the new Homepage control field.

 -- Nico Golde <nion@debian.org>  Sun, 28 Oct 2007 02:21:27 +0200

yacpi (3.0-1) unstable; urgency=low

  * New upstream release.
  * Now depend on libacpi, this version is based in libacpi.
  * Updated copyright file since Simon Fowler has
    not copyright on the code anymore.

 -- Nico Golde <nion@debian.org>  Thu, 09 Aug 2007 19:05:00 +0200

yacpi (2.1-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer address.
  * Bumped compat level to 5.
  * Removed dirs file since it's not needed anymore.
  * New dependency on dpatch and adapted rules for un/patch.
  * Added patch to fix Makfile.

 -- Nico Golde <nion@debian.org>  Sun, 18 Mar 2007 17:05:46 +0100

yacpi (2.0.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #385260).
  * Removed dh_installexamples from rules, its not needed.

 -- Nico Golde <nico@ngolde.de>  Thu, 31 Aug 2006 14:33:37 +0200

yacpi (2.0.1-1) unstable; urgency=low

  * New upstream release
    - recognizes terminal color now (Closes: #337071).
    - fixed delay option (Closes: #337076).
    - fixed spelling mistake in error message (Closes: #337076).
  * Adapted to current policy version.

 -- Nico Golde <nico@ngolde.de>  Wed, 24 May 2006 21:35:27 +0200

yacpi (2.0-2) unstable; urgency=low

  * Added legal notice to copyright.
  * Added space to homepage tag.

 -- Nico Golde <nico@ngolde.de>  Sat, 15 Oct 2005 21:58:06 +0200

yacpi (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nico@ngolde.de>  Tue, 16 Aug 2005 22:13:56 +0200

yacpi (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #305359, #305358).
  * Changed standards version

 -- Nico Golde <nico@ngolde.de>  Sun, 31 Jul 2005 16:28:03 +0200

yacpi (1.2-1) unstable; urgency=low

  * New upstream release.
  * Changed architectures because acpi isn't available on all platforms

 -- Nico Golde <nico@ngolde.de>  Sat, 26 Mar 2005 17:54:50 +0100

yacpi (1.0-1) unstable; urgency=low

  * Initial Release.(Closes: #289176)

 -- Nico Golde <nico@ngolde.de>  Fri, 07 Jan 2005 15:07:58 +0100

=== debian/control ===
Source: yacpi
Section: utils
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper-compat (= 12), libacpi-dev, libncurses5-dev
Homepage: http://www.ngolde.de/yacpi/
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: yacpi
Architecture: amd64 i386 ia64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ncurses based acpi monitor for text mode
 yacpi (yet another configuration and power interface) is an ncurses based
 ACPI monitoring program for notebooks. There is also a text-only output
 so it is possible to include it in scripts.
 It displays various ACPI information like battery status, temperature,
 charging circuits and AC status.
 Additionally it displays CPU governor and current frequency.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh  $@

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/yacpi/usr

=== debian/watch ===
version=3
http://www.ngolde.de/yacpi.html download/yacpi-(.+).tar.gz
